Bug 76247 - hardware list does not show all drives
hardware list does not show all drives
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 13:50 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 15:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-18 13:50:09 EDT
In the past, the server hardware listing used to show all drives attached to
the system.  It now appears to only show the first few drives, even after a
hardware refresh.
Comment 1 Mihai Ibanescu 2002-10-21 11:04:30 EDT
Andrew, can you paste the output of:

grep ID /etc/sysconfig/rhn/systemid

I'm trying to figure out if the problem is server, client or web side.
Comment 2 Need Real Name 2002-10-21 12:37:17 EDT
ID-1000360470
Comment 3 Mihai Ibanescu 2002-10-23 16:30:14 EDT
The database only has about 3 SCSI hard drives - next step would be to figure
out if the up2date client sends the right thing upstream and we fail to store it
correctly in the database.
Comment 4 Mihai Ibanescu 2002-10-24 13:01:16 EDT
Andrew, could you please paste the output (it may be big) of the following command:

PYTHONPATH=/usr/share/rhn/up2date_client python -c "import hardware; print
hardware.Hardware()"
Comment 5 Need Real Name 2002-10-24 13:42:28 EDT
[{'desc': '"ServerWorks|CNB20HE"', 'class': 'OTHER', 'driver': 'unknown',
'detached': '0', 'bus': 'PCI', 'subDeviceId': '0000', 'subVendorId': '0000',
'deviceId': '0008', 'vendorId': '1166', 'pciType': '1'}, {'desc':
'"ServerWorks|CNB20HE"', 'class': 'OTHER', 'driver': 'unknown', 'detached': '0',
'bus': 'PCI', 'subDeviceId': '0000', 'subVendorId': '0000', 'deviceId': '0008',
'vendorId': '1166', 'pciType': '1'}, {'desc': '"ServerWorks|unknown device 1166
0006"', 'class': 'OTHER', 'driver': 'unknown', 'detached': '0', 'bus': 'PCI',
'subDeviceId': '0000', 'subVendorId': '0000', 'deviceId': '0006', 'vendorId':
'1166', 'pciType': '1'}, {'desc': '"ServerWorks|unknown device 1166 0006"',
'class': 'OTHER', 'driver': 'unknown', 'detached': '0', 'bus': 'PCI',
'subDeviceId': '0000', 'subVendorId': '0000', 'deviceId': '0006', 'vendorId':
'1166', 'pciType': '1'}, {'desc': '"ServerWorks|OSB4"', 'class': 'OTHER',
'driver': 'unknown', 'detached': '0', 'bus': 'PCI', 'subDeviceId': '0200',
'subVendorId': '1166', 'deviceId': '0200', 'vendorId': '1166', 'pciType': '1'},
{'desc': '"ServerWorks|unknown device 1166 0211"', 'class': 'OTHER', 'driver':
'unknown', 'detached': '0', 'bus': 'PCI', 'subDeviceId': '0000', 'subVendorId':
'0000', 'deviceId': '0211', 'vendorId': '1166', 'pciType': '1'}, {'desc': '"Dell
1x4 U2W SCSI BP"', 'id': '6', 'class': 'OTHER', 'driver': 'ignore', 'detached':
'0', 'bus': 'SCSI', 'device': 'sgd', 'lun': '0', 'channel': '0', 'host': '0'},
{'desc': '"Intel Corporation|82557 [Ethernet Pro 100]"', 'class': 'NETWORK',
'driver': 'eepro100', 'detached': '0', 'bus': 'PCI', 'device': 'eth',
'subVendorId': '1028', 'deviceId': '1229', 'subDeviceId': '009b', 'vendorId':
'8086', 'pciType': '1'}, {'desc': '"Adaptec|7899P"', 'class': 'SCSI', 'driver':
'aic7xxx', 'detached': '0', 'bus': 'PCI', 'subDeviceId': '00a2', 'subVendorId':
'1028', 'deviceId': '00cf', 'vendorId': '9005', 'pciType': '1'}, {'desc':
'"Adaptec|7899P"', 'class': 'SCSI', 'driver': 'aic7xxx', 'detached': '0', 'bus':
'PCI', 'subDeviceId': '00a2', 'subVendorId': '1028', 'deviceId': '00cf',
'vendorId': '9005', 'pciType': '1'}, {'desc': '"Adaptec|7899A"', 'class':
'SCSI', 'driver': 'aic7xxx', 'detached': '0', 'bus': 'PCI', 'subDeviceId':
'f620', 'subVendorId': '9005', 'deviceId': '00c0', 'vendorId': '9005',
'pciType': '1'}, {'desc': '"Adaptec|7899A"', 'class': 'SCSI', 'driver':
'aic7xxx', 'detached': '0', 'bus': 'PCI', 'subDeviceId': 'f620', 'subVendorId':
'9005', 'deviceId': '00c0', 'vendorId': '9005', 'pciType': '1'}, {'desc':
'"Adaptec|7899A"', 'class': 'SCSI', 'driver': 'aic7xxx', 'detached': '0', 'bus':
'PCI', 'subDeviceId': 'f620', 'subVendorId': '9005', 'deviceId': '00c0',
'vendorId': '9005', 'pciType': '1'}, {'desc': '"Adaptec|7899A"', 'class':
'SCSI', 'driver': 'aic7xxx', 'detached': '0', 'bus': 'PCI', 'subDeviceId':
'f620', 'subVendorId': '9005', 'deviceId': '00c0', 'vendorId': '9005',
'pciType': '1'}, {'desc': '"Adaptec|7899A"', 'class': 'SCSI', 'driver':
'aic7xxx', 'detached': '0', 'bus': 'PCI', 'subDeviceId': 'f620', 'subVendorId':
'9005', 'deviceId': '00c0', 'vendorId': '9005', 'pciType': '1'}, {'desc':
'"Adaptec|7899A"', 'class': 'SCSI', 'driver': 'aic7xxx', 'detached': '0', 'bus':
'PCI', 'subDeviceId': 'f620', 'subVendorId': '9005', 'deviceId': '00c0',
'vendorId': '9005', 'pciType': '1'}, {'desc': '"Adaptec|7899A"', 'class':
'SCSI', 'driver': 'aic7xxx', 'detached': '0', 'bus': 'PCI', 'subDeviceId':
'f620', 'subVendorId': '9005', 'deviceId': '00c0', 'vendorId': '9005',
'pciType': '1'}, {'desc': '"Adaptec|7899A"', 'class': 'SCSI', 'driver':
'aic7xxx', 'detached': '0', 'bus': 'PCI', 'subDeviceId': 'f620', 'subVendorId':
'9005', 'deviceId': '00c0', 'vendorId': '9005', 'pciType': '1'}, {'desc':
'"Generic Mouse (PS/2)"', 'class': 'MOUSE', 'driver': 'genericps/2', 'detached':
'0', 'bus': 'PSAUX', 'device': 'psaux'}, {'desc': '"SAMSUNG CD-ROM SN-124"',
'class': 'CDROM', 'driver': 'ignore', 'detached': '0', 'bus': 'IDE', 'device':
'hda'}, {'desc': '"ATI|3D Rage IIC"', 'class': 'VIDEO', 'driver': 'Card ATI
Mach64 3D Rage IIC', 'detached': '0', 'bus': 'PCI', 'subDeviceId': '00a2',
'subVendorId': '1028', 'deviceId': '4759', 'vendorId': '1002', 'pciType': '1'},
{'desc': '"3.5" 1.44MB floppy drive"', 'class': 'FLOPPY', 'driver': 'unknown',
'detached': '0', 'bus': 'MISC', 'device': 'fd0'}, {'desc': '"Ibm DMVS09M"',
'id': '0', 'class': 'HD', 'driver': 'ignore', 'detached': '0', 'bus': 'SCSI',
'device': 'sda', 'lun': '0', 'channel': '0', 'host': '0'}, {'desc': '"Ibm
DMVS09M"', 'id': '1', 'class': 'HD', 'driver': 'ignore', 'detached': '0', 'bus':
'SCSI', 'device': 'sdb', 'lun': '0', 'channel': '0', 'host': '0'}, {'desc':
'"Seagate ST39204LC"', 'id': '2', 'class': 'HD', 'driver': 'ignore', 'detached':
'0', 'bus': 'SCSI', 'device': 'sdc', 'lun': '0', 'channel': '0', 'host': '0'},
{'desc': 'Processor', 'class': 'CPU', 'type': 'GenuineIntel', 'model': 'Pentium
III (Katmai)', 'model_rev': '3', 'other': 'fpu vme de pse tsc msr pae mce cx8
apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse', 'platform': 'i386',
'bogomips': '1094.45', 'model_number': '6', 'cache': '2048 KB', 'model_ver':
'7', 'speed': 548, 'count': 4}, {'ram': '7936', 'swap': '4008', 'class':
'MEMORY'}, {'hostname': 'db1.rdu-colo.redhat.com', 'class': 'NETINFO', 'ipaddr':
'10.255.19.141'}, {'system': 'PowerEdge 6450/550          ', 'bios_vendor':
'Dell Computer Corporation', 'bios_version': 'A10', 'class': 'DMI', 'asset':
'(chassis: 72CK10B) ', 'vendor': 'Dell Computer Corporation', 'bios_release':
'11/06/2001'}]
Comment 6 Mihai Ibanescu 2002-10-24 17:53:54 EDT
Even in this listing I see 3 Ibm DMVS09M SCSI hard drives. I belive you say this
box has about 51 drives, correct?

The hard drive configuration is read from kudzu's database, can you please check
if /etc/sysconfig/hwconf has all the hard drives listed in there?

Is kudzu not started as a service upon boot?

/me hopes he can blame someone else :-)
Comment 7 Need Real Name 2002-10-24 18:28:32 EDT
That's what it was -- kudzu had not been run since the drives were added.

Perhaps this should turn into an RFE for 'up2date --hardware' to run kudzu?

Note You need to log in before you can comment on or make changes to this bug.